> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Analytics Overview

> Get the overview of omnichannel analytics in your workspace.
Permission required: `view-livechat-manager`

### Changelog
| Version      | Description |
| ---------------- | ------------|
|6.4.0             | Added       |

## OpenAPI

````json GET /api/v1/livechat/analytics/overview
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/analytics/overview": {
      "get": {
        "summary": "Get Analytics Overview",
        "description": "Get the overview of omnichannel analytics in your workspace.\nPermission required: `view-livechat-manager`\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|6.4.0             | Added       |",
        "operationId": "get-api-v1-livechat-analytics-overview",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthToken"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "name": "name",
            "in": "query",
            "description": "The data that you want to get. The available options are: `Productivity`, `Conversations`",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "Conversations"
          },
          {
            "name": "from",
            "in": "query",
            "description": "The start date",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "2019-05-22T12:11:45.392Z"
          },
          {
            "name": "to",
            "in": "query",
            "description": "The end date",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "2023-05-22T12:11:45.392Z"
          },
          {
            "name": "departmentId",
            "in": "query",
            "description": "The department ID to return results for.",
            "schema": {
              "type": "string"
            },
            "example": "jsi9w0oakusss"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "type": "string"
                      },
                      "value": {
                        "oneOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "integer"
                          }
                        ]
                      }
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": [
                      {
                        "title": "Total_conversations",
                        "value": "1086"
                      },
                      {
                        "title": "Open_conversations",
                        "value": "119"
                      },
                      {
                        "title": "On_Hold_conversations",
                        "value": "1"
                      },
                      {
                        "title": "Total_messages",
                        "value": "4892"
                      },
                      {
                        "title": "Busiest_day",
                        "value": "Tuesday"
                      },
                      {
                        "title": "Conversations_per_day",
                        "value": "0.74"
                      },
                      {
                        "title": "Busiest_time",
                        "value": "7AM- 8AM"
                      }
                    ]
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'name' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'from' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 3": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'to' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "$ref": "#/components/responses/permissionError"
          }
        },
        "tags": [
          "Omnichannel Statistics"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "AuthToken": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      },
      "permissionError": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                },
                "error": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Permission Error": {
                "value": {
                  "success": "false",
                  "error": "User does not have the permissions required for this action [error-unauthorized]"
                }
              },
              "Unauthorized": {
                "value": {
                  "success": "false",
                  "error": "unauthorized"
                }
              }
            }
          }
        }
      }
    }
  }
}
````

